Create app

Register a new application on the selected instance

Registers a new app or content widget with the Makaira instance.

Requires authentication.

Request

POST /app

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
slugstringYesUnique identifier (lowercase letters, numbers, hyphens only).
typestringYesApp type: app or content-widget.
titleobjectYesMultilingual display title (keys: language codes, e.g. de, en).
urlstringYesThe URL where the app is hosted.

Example Request

{
  "slug": "my-custom-app",
  "type": "app",
  "title": {
    "en": "My Custom App",
    "de": "Meine App"
  },
  "url": "https://myapp.example.com"
}

Response

Returns the created app object.

Body Params
string
required

Unique identifier for the App that is used for all requests.

string
enum

Declares the type of the app, either app or content-widget.

Allowed:
title
object
required

Title that is shown for the App on the dashboard.

icon
object

Information about the icon that is shown for the application on the dashboard.

string
required

Base-link to the entry point of the App that will be loaded inside the iFrame on the dashboard.

string
required

Select the makaira instance.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json